Last Comment Bug 787443 - CmdCmd.jsm and CmdCookie.jsm include Console.jsm with the wrong url
: CmdCmd.jsm and CmdCookie.jsm include Console.jsm with the wrong url
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: 14 Branch
: All All
: -- normal (vote)
: Firefox 18
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on:
Blocks: metro-build
  Show dependency treegraph
 
Reported: 2012-08-31 08:30 PDT by Mike Hommey [:glandium]
Modified: 2012-10-17 11:13 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
CmdCmd.jsm and CmdCookie.jsm include Console.jsm with the wrong url (2.25 KB, patch)
2012-08-31 08:35 PDT, Mike Hommey [:glandium]
jwalker: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2012-08-31 08:30:37 PDT
It's resource://gre/modules/devtools/Console.jsm, not resource:///modules/devtools/Console.jsm
Comment 1 Mike Hommey [:glandium] 2012-08-31 08:35:26 PDT
Created attachment 657303 [details] [diff] [review]
CmdCmd.jsm and CmdCookie.jsm include Console.jsm with the wrong url
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-09-05 07:25:02 PDT
Comment on attachment 657303 [details] [diff] [review]
CmdCmd.jsm and CmdCookie.jsm include Console.jsm with the wrong url

Review of attachment 657303 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks. I'll add this to my list of things to land.
Comment 3 Mike Hommey [:glandium] 2012-09-05 07:32:46 PDT
(In reply to Joe Walker [:jwalker] from comment #2)
> Thanks. I'll add this to my list of things to land.

That's okay, i'll land it with other things i need to land.
Comment 5 Mike Hommey [:glandium] 2012-09-05 08:06:33 PDT
Comment on attachment 657303 [details] [diff] [review]
CmdCmd.jsm and CmdCookie.jsm include Console.jsm with the wrong url

[Approval Request Comment]
User impact if declined: This breaks Firefox when built as a xulrunner application
Risk to taking this patch (and alternatives if risky): Low. On mozilla builds, we're effectively changing an url to another url that resolves to the exact same location.
String or UUID changes made by this patch: None
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-09-05 19:40:21 PDT
https://hg.mozilla.org/mozilla-central/rev/d6b20244c71b
Comment 7 Mike Hommey [:glandium] 2012-09-17 06:47:27 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/06f42d1eccab
Comment 8 Michael Ratcliffe [:miker] [:mratcliffe] 2012-10-17 02:38:59 PDT
Is there a reason for the qa-?
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-17 11:13:15 PDT
qa- simply means this bug is not a first priority for verification by QA. We don't have time nor resources to verify all bugs so we have to prioritize. Apologies for not clarifying earlier. 

If you think this bug is critical to be verified before we ship Firefox 17 please make a justification.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.